<?php
class ControllerExtensionModuleCssCode extends Controller {
	private $error = array();

	public function index() {
		$data = $this->load->language('extension/module/css_code');

		$this->document->setTitle($this->language->get('heading_title'));
		
        $this->document->addStyle( 'view/stylesheet/codemirror/lib/codemirror.css' );
        $this->document->addStyle( 'view/stylesheet/codemirror/mode/theme/monokai.css');
        $this->document->addScript( 'view/javascript/codemirror/lib/codemirror.js');
        $this->document->addScript( 'view/javascript/codemirror/mode/css/css.js' );
        $this->document->addScript( 'view/javascript/codemirror/mode/javascript/javascript.js');
				
		$this->load->model('setting/setting');

		if (($this->request->server['REQUEST_METHOD'] == 'POST') && $this->validate()) {
			$this->model_setting_setting->editSetting('css_code', $this->request->post);

			$this->session->data['success'] = $this->language->get('text_success');

			$this->response->redirect($this->url->link('marketplace/extension', 'user_token=' . $this->session->data['user_token'] . '&type=module', true));
		}

		$data['heading_title'] = $this->language->get('heading_title');

		if (isset($this->error['warning'])) {
			$data['error_warning'] = $this->error['warning'];
		} else {
			$data['error_warning'] = '';
		}

		$data['breadcrumbs'] = array();

		$data['breadcrumbs'][] = array(
			'text' => $this->language->get('text_home'),
			'href' => $this->url->link('common/dashboard', 'user_token=' . $this->session->data['user_token'], true)
		);

		$data['breadcrumbs'][] = array(
			'text' => $this->language->get('text_extension'),
			'href' => $this->url->link('marketplace/extension', 'user_token=' . $this->session->data['user_token'] . '&type=module', true)
		);

		if (!isset($this->request->get['module_id'])) {
			$data['breadcrumbs'][] = array(
				'text' => $this->language->get('heading_title'),
				'href' => $this->url->link('extension/module/css_code', 'user_token=' . $this->session->data['user_token'], true)
			);
		} else {
			$data['breadcrumbs'][] = array(
				'text' => $this->language->get('heading_title'),
				'href' => $this->url->link('extension/module/css_code', 'user_token=' . $this->session->data['user_token'] . '&module_id=' . $this->request->get['module_id'], true)
			);
		}

$data['action'] = $this->url->link('extension/module/css_code', 'user_token=' . $this->session->data['user_token'], true);
$data['cancel'] = $this->url->link('marketplace/extension', 'user_token=' . $this->session->data['user_token'] . '&type=module', true);

		if (!isset($this->request->get['module_id'])) {
			$data['action'] = $this->url->link('extension/module/css_code', 'user_token=' . $this->session->data['user_token'], true);
		} else {
			$data['action'] = $this->url->link('extension/module/css_code', 'user_token=' . $this->session->data['user_token'] . '&module_id=' . $this->request->get['module_id'], true);
		}

		if (isset($this->request->post['css_code_head'])) {
			$data['css_code_head'] = $this->request->post['css_code_head'];
		} elseif ($this->config->get('css_code_head')) {
			$data['css_code_head'] = $this->config->get('css_code_head');
		} else {
			$data['css_code_head'] = '';
		}

		if (isset($this->request->post['css_code_head_status'])) {
			$data['css_code_head_status'] = $this->request->post['css_code_head_status'];
		} elseif ($this->config->get('css_code_head_status')) {
			$data['css_code_head_status'] = $this->config->get('css_code_head_status');
		} else {
			$data['css_code_head_status'] = 0;
		}
		
			if (isset($this->request->post['css_code_footer'])) {
			$data['css_code_footer'] = $this->request->post['css_code_footer'];
		} elseif ($this->config->get('css_code_footer')) {
			$data['css_code_footer'] = $this->config->get('css_code_footer');
		} else {
			$data['css_code_footer'] = '';
		}

		if (isset($this->request->post['css_code_footer_status'])) {
			$data['css_code_footer_status'] = $this->request->post['css_code_footer_status'];
		} elseif ($this->config->get('css_code_footer_status')) {
			$data['css_code_footer_status'] = $this->config->get('css_code_footer_status');
		} else {
			$data['css_code_footer_status'] = 0;
		}
		
		if (isset($this->request->post['css_code_head2'])) {
			$data['css_code_head2'] = $this->request->post['css_code_head2'];
		} elseif ($this->config->get('css_code_head2')) {
			$data['css_code_head2'] = $this->config->get('css_code_head2');
		} else {
			$data['css_code_head2'] = '';
		}

		if (isset($this->request->post['css_code_head2_status'])) {
			$data['css_code_head2_status'] = $this->request->post['css_code_head2_status'];
		} elseif ($this->config->get('css_code_head2_status')) {
			$data['css_code_head2_status'] = $this->config->get('css_code_head2_status');
		} else {
			$data['css_code_head2_status'] = 0;
		}
		
			if (isset($this->request->post['css_code_footer2'])) {
			$data['css_code_footer2'] = $this->request->post['css_code_footer2'];
		} elseif ($this->config->get('css_code_footer2')) {
			$data['css_code_footer2'] = $this->config->get('css_code_footer2');
		} else {
			$data['css_code_footer2'] = '';
		}

		if (isset($this->request->post['css_code_footer2_status'])) {
			$data['css_code_footer2_status'] = $this->request->post['css_code_footer2_status'];
		} elseif ($this->config->get('css_code_footer2_status')) {
			$data['css_code_footer2_status'] = $this->config->get('css_code_footer2_status');
		} else {
			$data['css_code_footer2_status'] = 0;
		}
		
		$data['header'] = $this->load->controller('common/header');
		$data['column_left'] = $this->load->controller('common/column_left');
		$data['footer'] = $this->load->controller('common/footer');

		$this->response->setOutput($this->load->view('extension/module/css_code', $data));
	}

	protected function validate() {
		if (!$this->user->hasPermission('modify', 'extension/module/css_code')) {
			$this->error['warning'] = $this->language->get('error_permission');
		}

		return !$this->error;
	}
}